<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_app.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">App Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_app.html">App</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#acb8cbf3e285b91d0170ffe87df5989c5">App</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a9414caa053cecdd2003a1a0e814fbfbf">exit</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#ad076e2326cccb5f48449ce015f694792">getAddBookToLibraryRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a079b8f04977200368a2869fdabecc526">getAddBookToWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a7d80b7c6b5980b9e5c93d544a08843d9">getAddUserToLibraryRequest</a>(User user, bool makeAdmin)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a07a8fdd168baba27511a3ec921a57885">getCurrentUserRequest</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a1e6b27df393ed7162d82b3ceaa3d0036">getDetailsAboutBookRequest</a>(QString isbn)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a24a7d5ef7b7941dfd1004caf3901282c">getEditBookInLibraryRequest</a>(QString oldBookIsbn, Book newBook)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#aef852e147ecc4f6ce5a4a7f8489e2a3a">getEditUserInLibraryRequest</a>(QString oldId, User newUser, bool isAdmin, QString newPassword)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#ab6b8c9c3dacae9b5cf530383d9fa8e96">getEditUserRequest</a>(User user, bool isAdmin, QString password)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#aa45cdef0c89abdbbd7865d757e3fd6a2">getExportWishlistFromFileRequest</a>(QString pathToFileToExport)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a16170255cab4026e3a7b9a5807f8e2eb">getImportWishlistFromFileRequest</a>(QString pathToFileToImport)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#ad6d0a410e062f4052e894a09f90d9632">getLoansRequest</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a1f898eff011d912bba9fff0b06db9576">getRemoveBookFromLibraryRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a62be77312050a6eb5187c2a8bc660527">getRemoveBookFromWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#ad26cb7d47bae0262adaece7e3f887658">getRemoveUserFromLibraryRequest</a>(User user)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a37e7f5fefeab4fffa69fadd39fd90069">getReserveBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#abb37556b20fa5f30cb0a1630bd14d2e6">getReturnBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a35d8eeb482a72b8bc517301df42f461b">getSearchBookRequest</a>(QString id, QString title)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#af964cb73a390693499bf310073ded36e">getSearchUserRequest</a>(QString id, QString name)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a3547c0bf6c689478d9781dbc315c6fe2">getSignInRequest</a>(QString username, QString password)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a2dc1c243593f67504105bcd8f917018a">getSignUpRequest</a>(User user, QString password)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#af90b1b0b5e3d063f3b467d2ef2cdd1c4">getUserRequest</a>(QString username)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a630f288d3e698df9c898b73abf26e4c1">getWishlistRequest</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a2c2f532509588e6060ae04fdbbed21cc">sendAddBookToLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#ab62537a268c86459241d09350f47634d">sendAddBookToWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a7df689f27e02f71c4ee41a391f3822b7">sendAddUserToLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a5277de83d654625f2ff9998cb751a1b8">sendCurrentUserAdminStatus</a>(bool isCurrentUserAnAdmin)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#af3497d402d908ef1de7744fe33af4966">sendDetailsAboutBookRequestResult</a>(Book book, bool isReservedByUser, bool isInUserWishlist)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#ac925c4f2baf8a64d2ebf232439979a37">sendEditBookInLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a2c09216637aa69c1db71a005f003bb63">sendEditUserInLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a27f24a2acf9db5f000234076e3d203c1">sendEditUserRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a32d88c7547d4ca59aa268dcb9a1c78b5">sendExportWishlistFromFileRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#afd2b7006fe1c750629e8f88f3826e74b">sendImportWishlistFromFileRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a7996508e24f143e870ce308a63f17255">sendLoansRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a3acb6b7206bc412c1dfb04ee5d5c9769">sendRemoveBookFromLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a90b57e1203e8e94ab9365e4ad9147e88">sendRemoveBookFromWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a40b2071c35b8707b451dc1c2aa9595f7">sendRemoveUserFromLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a985d8e47297cadaeac565fbf3e026e9f">sendReserveBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#aef598bb6789958852f0a7de36b9a6e12">sendReturnBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#aa3fee2aff6169956359f840fcd155bc8">sendSearchBookRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a4ce3bdbf1ca6d36aa405867f50711afd">sendSearchUserRequestResult</a>(std::vector&lt; User &gt; users)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a062013a314f850580362f5fa4aaa64e5">sendSignInRequestResult</a>(bool signInOk)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#aa75d5e63f7bfb3c1ca27641faeab2800">sendSignUpRequestResult</a>(bool signUpOk)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#abbf3f23886cdc301a0c20503dd19a810">sendUserRequestResult</a>(User user, bool isAdmin)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a7960a336b7fa8d282b6e4121395c1b38">sendWishlistRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a900dabc81284917251bf65cf02a10238">signIn</a>(QString username, QString password)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a6e2eed8708f30842c9fe21d6e7f8c2ad">signUp</a>(User user, QString password)</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_app.html#a45e80958bad2ae75a2a152028a66021c">start</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_app.html#a34f1f253b1cef5f4ecbac66eaf6964ec">~App</a>()</td><td class="entry"><a class="el" href="class_app.html">App</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
